%define major   0
%define libname %mklibname %{name} %major

Name:      verbiste
Version:   0.1.33
Release:   %mkrel 3
Summary:   French conjugation system
License:   GPLv2+
URL:       http://sarrazip.com/dev/%{name}.html
Group:     Text tools
Source:    http://sarrazip.com/dev/%{name}-%{version}.tar.gz
BuildRequires: libxml2-devel
BuildRequires: libgnomeui2-devel 
BuildRequires: gnome-panel-devel
BuildRequires: libglade2-devel

Conflicts:     verbiste-gtk < 0.1.32-1

%description
Verbiste is a French conjugation system. It contains a C++ library, two
programs that can be run from the command line or from another program,
and a GNOME applet. This applet shows a text field in the GNOME Panel
where the user can enter a conjugated verb and obtain its complete
conjugation. The knowledge base is represented in XML and contains over
6800 verbs.

%files
%{_docdir}/%{name}-%{version}/*
%_bindir/french-*conjugator
%_datadir/%{name}-0.1
%_mandir/fr/man?/*
%_mandir/man?/*

#--------------------------------------------------------------------

%package -n     %{name}-gtk
Summary:        Gtk+ interface for %{name}
Group:          Development/Other
Requires:       %{name}
Conflicts:      verbiste < 0.1.32-1

%description  -n %{name}-gtk
Gtk+ interface for %{name}.

%files -n %{name}-gtk -f %{name}.lang
%_bindir/verbiste
%_bindir/verbiste-gtk
%_datadir/applications/verbiste.desktop
%_datadir/pixmaps/verbiste.png
%_datadir/texmf/tex/latex/verbiste/verbiste.cfg
%_datadir/texmf/tex/latex/verbiste/verbiste.cls


#--------------------------------------------------------------------

%package -n     %{libname}
Summary:        Shared Librairies for %{name}
Group:          Development/Other
Obsoletes:      %{mklibname verbiste1} < 0.1.33-2

%description  -n %{libname}
Shared Librairies for cluster

%files -n %{libname}
%_libdir/lib%{name}-0.1.so.%{major}*

#--------------------------------------------------------------------

%package -n %{libname}-devel
Summary:        %{name} header files and static libraries
Group:          Development/Other
Requires:       %{name} = %{version}
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}
Obsoletes:      %{mklibname -d verbiste1} < 0.1.33-2

%description -n %{libname}-devel
This package contains header files and static libraries.

%files -n %{libname}-devel
%_includedir/%{name}-0.1
%_libdir/lib%{name}-0.1.so
%_libdir/pkgconfig/%{name}-0.1.pc

#--------------------------------------------------------------------
%prep

%setup -q -n %{name}-%{version}

%configure2_5x --with-gtk-app --with-gnome-app

%install
rm -rf %buildroot
%{makeinstall_std}

rm -f %buildroot%_libdir/lib%{name}-0.1.la

%find_lang %{name}



%changelog

* Sun Apr 15 2012 lmenut <lmenut> 0.1.33-3.mga2
+ Revision: 230870
- Add obsoletes to ensure upgrade from previous libverbiste with wrong major

* Sat Jun 25 2011 dmorgan <dmorgan> 0.1.33-2.mga2
+ Revision: 113341
- Do not build gnome applet
  fix major
  Use macro for major in lib package
  Remove .la file
  Clean spec file
- Rebuild against gnome3

* Wed Apr 13 2011 lmenut <lmenut> 0.1.33-1.mga1
+ Revision: 84756
- update to 0.1.33
- add conflicts forgotten in previous release

* Thu Mar 24 2011 boklm <boklm> 0.1.32-2.mga1
+ Revision: 76218
- rebuild for bug #497

* Sun Mar 20 2011 lmenut <lmenut> 0.1.32-1.mga1
+ Revision: 74992
- fix release
- update to 0.1.32
- clean spec file
  - remove buildroot
  - update Summary, Group, URL and Source
- add cairo-devel in BR


* Sun Jul 05 2009 Frederik Himpe <fhimpe@mandriva.org> 0.1.26-1mdv2010.0
+ Revision: 392611
- Update to new version 0.1.26
- Adapt file list for new LaTeX export function
- Don't run libtool, use %%configure2_5x

* Mon Jun 08 2009 Jerome Martin <jmartin@mandriva.org> 0.1.25-1mdv2010.0
+ Revision: 383925
- version 0.1.25

* Mon Feb 09 2009 Frederik Himpe <fhimpe@mandriva.org> 0.1.24-1mdv2009.1
+ Revision: 338968
- Update to new version 0.1.24
- Fix build with libtool 2.2
- Fix build with -Werror=format-security

* Tue Sep 23 2008 Frederik Himpe <fhimpe@mandriva.org> 0.1.23-1mdv2009.0
+ Revision: 287511
- Fix BuildRequires
- Fix license

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Add verbiste as requires on verbiste-gtk
    - Update to 0.1.23

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers
    - normalize call to ldconfig in %%post/%%postun

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 12 2007 Jérôme Soyer <saispo@mandriva.org> 0.1.21-1mdv2008.1
+ Revision: 97316
- New release 0.1.21


* Tue Feb 06 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.1.19-2mdv2007.0
+ Revision: 116813
- build with gtk+/gnome support

* Wed Jan 10 2007 Lenny Cartier <lenny@mandriva.com> 0.1.19-1mdv2007.1
+ Revision: 107201
- Update to 0.1.19

* Fri Dec 01 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.17-1mdv2007.1
+ Revision: 89580
- New version 0.1.17
- Fix File List
- Fix BuildRequires

* Tue Aug 22 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.15-1mdv2007.0
+ Revision: 57041
- verbiste-0.1.15-1mdv2007.0
- import verbiste-0.1.15-1mdv2007.0

